@charset "utf-8";

/*! Fonts */
@font-face
{
    font-family: 'Hellix';
    src:
        url('/fonts/Hellix-Light.eot?#iefix') format('embedded-opentype'),
        url('/fonts/Hellix-Light.woff') format('woff'),
        url('/fonts/Hellix-Light.woff2') format('woff2');
    font-display: fallback;
    font-style: normal;
    font-weight: 300;
}

@font-face
{
    font-family: 'Hellix';
    src:
        url('/fonts/Hellix-Regular.eot?#iefix') format('embedded-opentype'),
        url('/fonts/Hellix-Regular.woff') format('woff'),
        url('/fonts/Hellix-Regular.woff2') format('woff2');
    font-display: fallback;
    font-style: normal;
    font-weight: 400;
}

@font-face
{
    font-family: 'Hellix';
    src:
        url('/fonts/Hellix-Medium.eot?#iefix') format('embedded-opentype'),
        url('/fonts/Hellix-Medium.woff') format('woff'),
        url('/fonts/Hellix-Medium.woff2') format('woff2');
    font-display: fallback;
    font-style: normal;
    font-weight: 500;
}

@font-face
{
    font-family: 'Hellix';
    src:
        url('/fonts/Hellix-Bold.eot?#iefix') format('embedded-opentype'),
        url('/fonts/Hellix-Bold.woff') format('woff'),
        url('/fonts/Hellix-Bold.woff2') format('woff2');
    font-display: fallback;
    font-style: normal;
    font-weight: 700;
}

@font-face
{
    font-family: "NotoSans";
    src:
        url('/fonts/NotoSans/NotoSansCJKjp-Light-subset.eot?#iefix') format('embedded-opentype'),
        url('/fonts/NotoSans/NotoSansCJKjp-Light-subset.woff') format('woff');
    font-display: fallback;
    font-style: normal;
    font-weight: 200;
}

@font-face
{
    font-family: "NotoSans";
    src:
        url('/fonts/NotoSans/NotoSansCJKjp-Bold-subset.eot?#iefix') format('embedded-opentype'),
        url('/fonts/NotoSans/NotoSansCJKjp-Bold-subset.woff') format('woff');
    font-display: fallback;
    font-style: normal;
    font-weight: 600;
}

@font-face
{
    font-family: "NotoSans";
    src:
        url('/fonts/NotoSans/NotoSansCJKjp-Black-subset.eot?#iefix') format('embedded-opentype'),
        url('/fonts/NotoSans/NotoSansCJKjp-Black-subset.woff') format('woff');
    font-display: fallback;
    font-style: normal;
    font-weight: 800;
}

/*! Colors */
:root
{
    --foreground: #ffffff;
    --midforeground: #b2b2b2;
    --midground: #888888;
    --background: #080f24;
    --deepbackground: #060b1b;
    --red: #ea3329;
    --orange: #eb6a2c;
    --yellow: #f29c38;
    --lightyellow: #ffd321;
    --green: #75fb4c;
    --cyan: #00f0ff;
    --blue: #0C8CFE;
    --darkblue: #003b6e;
    --purple: #e532ad;
    --deeppurple: #970056;
    --darkpurple: #2b0c5c;
    --lightpurple: #3d147f;
    --brightpurple: #8400ff;
    --pink: #ff034a;
}

@supports (color: color(display-p3 1 1 1 / 1)) {
    :root
    {
        --foreground: color(display-p3 1.00 1.00 1.00 / 1.00);
        --midforeground: color(display-p3 0.70 0.70 0.70 / 1.00);
        --midground: color(display-p3 0.53 0.53 0.53 / 1.00);
        --deepbackground: color(display-p3 0.02 0.04 0.11 / 1.00);
        --red: color(display-p3 0.92 0.20 0.16 / 1.00);
        --orange: color(display-p3 0.93 0.42 0.17 / 1.00);
        --yellow: color(display-p3 0.94 0.60 0.22 / 1.00);
        --lightyellow: color(display-p3 1.00 0.83 0.13 / 1.00);
        --green: color(display-p3 0.46 0.98 0.30 / 1.00);
        --cyan: color(display-p3 0 0.95 1 / 1.00);
        --blue: color(display-p3 0.05 0.55 1.00 / 1.00);
        --darkblue:color(display-p3 0 0.24 0.43 / 1.00);
        --purple: color(display-p3 0.85 0.18 0.65 / 1.00);
        --purple: color(display-p3 0.90 0.20 0.68 / 1.00);
        --deeppurple: color(display-p3 0.59 0.00 0.34 / 1.00);
        --darkpurple: color(display-p3 0.17 0.05 0.36 / 1.00);
        --lightpurple: color(display-p3 0.24 0.08 0.50 / 1.00);
        --brightpurple: color(display-p3 0.47 0 1 / 1);
        --pink: color(display-p3 1 .012 .29 / 1);
    }
}

*,
*::before,
*::after
{
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

header,footer,nav,main,section,figure,article,aside
{
    display: block;
}

html
{
    font-size: 3.2px;
    margin: 0;
    padding: 0;
}

body
{
    font-size: 2.6rem;
    line-height: 1.2;
    margin: 0;
    padding: 0;
    font-family: "Hellix", Helvetica, sans-serif;
    font-weight: 400;
    background-color: var(--background);
    color: var(--foreground);
}

header figure
{
    margin: 0 auto;
    max-width: 129.2rem;
}

a
{
    text-decoration: none;
    color: inherit;
}

canvas#starfield {
    display: block;
    position: fixed;
    top: 0;
    left: 0;
    max-width: 100vw;
    z-index: -1;
    overflow: hidden;
}

section
{
    max-width: 88.6rem;
    margin: 4rem auto;
    clear: both;
}

form
{
    max-width: 93.4rem;
    margin: 0 auto;
    clear: both;
}

/* Rainbow divider before sections */
hr
{
    width: 88.6rem;
    border: 0;
    height: 0.35rem;
    margin: 3em auto;
    display: block;
    background-image: -webkit-linear-gradient(0deg, transparent, var(--yellow), var(--red), var(--pink), var(--purple), var(--blue), transparent);
    clear: both;
}

section h2
{
    font-size: 2.4em;
    line-height: 1em;
    text-align: center;
}

nav.top
{
    position: fixed;
    width: 100%;
    max-width: 100vw;
    top: 0;
    right: 0;
    left: 0;
    z-index: 10;
    transition-property: background-color;
    transition-timing-function: ease-in-out;
    transition-duration: 450ms;
}

/* Rainbow divider after navbar */
nav.top:after
{
    position: relative;
    content: "";
    width: 100%;
    height: 0.1em;
    display: block;
    background-image: -webkit-linear-gradient(0deg, var(--yellow), var(--red), var(--pink), var(--purple), var(--blue));
    opacity: 0;
    transition-property: opacity;
    transition-timing-function: ease-in-out;
    transition-duration: 450ms;
}

nav.top.scrolled
{
    background-color: #080f24;
}

nav.top.scrolled:after
{
    opacity: 1;
}

body.reduce-motion nav.top,
body.reduce-motion nav.top:after
 {
     transition-property: none;
 }

@media screen and (prefers-reduced-motion)
{
    nav.top,
    nav.top:after
    {
        transition-property: none;
    }
}

nav.top ul
{
    display: flex;
    justify-content: space-between;
    align-content: center;
    list-style: none;
    padding: 0.5em 0em;
    margin: 0;
}

nav.top li
{
    margin: 0 0.15em;
    padding: 0;
    align-self: center;
    cursor: pointer;
}

nav.top li a
{
    display: block;
    position: relative;
    z-index: 10;
    color: var(--midground);
    font-size: 0.5875em;
    letter-spacing: -0.035em;
    padding: 0.375em 0.5em 0.5em 1.75em;
    line-height: 1;
    background-repeat: no-repeat;
    background-size: 1em;
    background-position: 0.5em 50%;
    border-radius: 1em;
}

nav.top li#lang a { background-image: url("./images/top-nav-lang.svg"); }

body#notfound main a
{
    color: var(--foreground);
    background-color: var(--blue);
    font-weight: 700;
    padding: 0.325em 0.75em 0.5em 0.75em;
}

header
{
    text-align: center;
    margin: .65em auto 0 auto;
    position: relative;
}

header h1
{
    color: var(--blue);
    letter-spacing: -0.05em;
    font-size: 8em;
    margin: 0 auto;
    line-height: 1em;
    position: relative;
    display: inline-block;
    font-weight: 600;
    left: -0.1em;
    white-space: nowrap;
}

header h1 sup
{
    font-size: 0.15em;
    display: inline-block;
    position: absolute;
    top: -0.25em;
    right: -0.65em;

}

header h2,
header p
{
    font-weight: 700;
    line-height: 0.9;
    margin: .65em auto;
    letter-spacing: -0.015em;
    max-width: 12em;
}

div#enter-button
{
    display: inline-grid;
    align-items: center;
    border-radius: 1em;
    padding: 0.15em 0.5em 0.35em 0.5em;
    grid-gap: 0.25em;
    background-color: transparent;
    color: var(--foreground);
    font-weight: 700;
    font-size: 1.75em;
    margin: 2rem auto;
    cursor: pointer;
    position: relative;
    background-repeat: no-repeat;
    background-position: center center;
    background-size: contain;
    background-color: var(--blue);
    transition: transform 150ms ease-in-out;
    grid-template-columns: auto 1fr;
}

div#enter-button::before
{
    content: "";
    width: 1em;
    height: 1em;
	transform: rotate(-90deg);
    -webkit-mask-image: url("images/enter.svg");
    -webkit-mask-size: contain;
    -webkit-mask-repeat: no-repeat;
    -webkit-mask-position: center;
    background-color: var(--foreground);
    position: relative;
    top: 0.1em;
}


div#enter-button:hover
{
    transform: scale( 1.015 );
}

h2.subhead
{
    font-size: inherit;
    line-height: inherit;
    font-weight: 700;
}

h2.subhead,
h2.subhead+p
{
    display: inline;
}

main
{
    overflow: hidden;
    margin: -4rem auto;
}

figure#hero
{
    margin-bottom: -6rem;
}

body#home main
{
    margin: -4em auto -4rem auto;
    padding-top: 4em;
}

.big-checkbox ul,
.big-radio ul
{
    text-align: center;
    list-style-position: inside;
}

section#opening:before
{
    padding-top: 0;
    margin-top: 0;
}

figure.image,
figure.video
{
    display: grid;
    position: relative;
    margin: 2rem auto 4rem auto;
    grid-template-rows: 1fr;
    grid-template-columns: 1fr;
}

figure.image img,
figure.video video
{
    display: block;
    width: 100%;
    height: 100%;
    background-size: contain;
    background-repeat: no-repeat;
    grid-row: 1 / span 1;
    grid-column: 1 / span 1;
    color: transparent;
}

@keyframes highlightLoupe
{
    0%
    {
        transform: scale(0);
        opacity: 0;
    }
    2%
    {
        transform: scale(1);
    }
    3%,
    17%
    {
        opacity: 1;
        transform: scale(1);
    }
    18%
    {
        transform: scale(0);
    }
    20%,
    100%
    {
        transform: scale(0);
        opacity: 0;
    }
}

@keyframes highlightCaption
{
    0%
    {
        transform: scale(0) translateX(-50%);
        opacity: 0;
    }
    2%
    {
        transform: scale(1) translateX(-50%);
        opacity: 1;
    }
    3%,
    17%
    {
        opacity: 1;
        transform: scale(1) translateX(-50%);
    }
    18%
    {
        transform: scale(1) translateX(-50%);
        opacity: 0;
    }
    20%,
    100%
    {
        transform: scale(0) translateX(-50%);
        opacity: 0;
    }

}

/*  Background position is calculated using the multiplier used for the background-size above.
    Then we subtract a quarter of the highlight element's width/height.
    Here's the formula:

    background-position: ((-1.5 * left) - 7.5) ((-1.5 * top) - 7.5); */

/* Autocomplete */

@keyframes wipe
{
    0% { clip-path: polygon(-50% 0%, 0% 0%, -50% 101%, -100% 101%) }
    100% { clip-path: polygon(150% 0%, 200% 0%, 150% 101%, 100% 101%) }
}

figure.image+p
{
    clear: right;
}

figure.image#sidebar+p,
figure.image#comparison+p
{
    clear: left;
}

footer
{
    text-align: center;
    font-weight: 400;
    font-size: 1em;
    margin: 3em auto;
}

footer p
{
    margin: 0 auto;
}

footer a
{
    display: inline-block;
    padding-top: 14rem;
    margin-top: -14rem;
}

/* Start auto-resizing */
@media screen and (min-width: 240px)
{
    html { font-size: 1vw; }
    body { font-size: 4rem; }

    header p, header h2 { font-size: 2em; }

    #downloaded { font-size: 0.4em; }

    nav.top, nav.top.scrolled { font-size: 1.05em; }
    nav.top ul { justify-content: center; }
    nav.top span.hideable { display: none; }
    nav.top li#download,
    nav.top.scrolled li#download { position: static; opacity: 1;}

    li.misc-link { display: block; }
    li.misc-link p { padding-left: 0; margin: 0.15em 0 1em 0; }
    li.misc-link#climate a { padding-left: 0; margin: 0.15em 0 1em 0; }
    li.misc-link#climate strong { display: block; }

}

/* Start auto-resizing */
@media screen and (min-width: 620px)
{
    body { font-size: 2.6rem; }

    header p, header h2 { font-size: 3.2em; }

    #downloaded { font-size: 0.65em; }

    nav.top ul { justify-content: flex-end; }
    nav.top span.hideable { display: inline; }

    nav.top li#download { position: absolute; }
    nav.top, nav.top.scrolled { font-size: 1.35em; }
    nav.top.scrolled li#download { position: absolute; }

    li.misc-link { display: grid; }
    li.misc-link p { padding-left: 0.15em; margin: 0; }
    li.misc-link#climate a { padding-left: 0.15em; margin: 0; }
    li.misc-link#climate strong { display: inline; }

}

/* Stop auto-resizing */
@media screen and (min-width: 1000px)
{
    html { font-size: 10px; }
}
